{
    attributes = (
        {
            columnName = D_BLOC_NOTES; 
            externalType = DATE; 
            name = dBlocNotes; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = LL_BLOC_NOTES; 
            externalType = VARCHAR2; 
            name = llBlocNotes; 
            valueClassName = NSString; 
            width = 500; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSDecimalNumber; 
        }
    ); 
    attributesUsedForLocking = (persId, dBlocNotes, llBlocNotes, dCreation, dModification); 
    className = EOGenericRecord; 
    classProperties = (persId, dBlocNotes, llBlocNotes, dCreation, dModification); 
    externalName = BLOC_NOTES; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (persId, dBlocNotes, llBlocNotes, dCreation, dModification); 
    }; 
    name = BlocNotes; 
    primaryKeyAttributes = (persId, dBlocNotes); 
}
